Topic
  • 8 replies
  • Latest Post - ‏2012-05-13T04:25:37Z by Wizgot
Mahdy
Mahdy
2 Posts

Pinned topic Problem Installing Streams Studio on Eclipse Helios

‏2012-04-02T07:34:45Z |
Hello everyone,

I am trying to install Streams Studio (InfoStreams trial version 2.0.0.3) on Eclipse 3.6.2. I installed XTex plugin, but when I install Streams Studio, everything goes well until nearly the end when I get the following message and installation fails:

Cannot complete the install because one or more required items could not be found.
Software currently installed: InfoSphere Streams Studio 2.1.0.201111011447 (com.ibm.streams.studio.base.feature.feature.group 2.1.0.201111011447)
Missing requirement: com.ibm.streams.studio.spleditor 2.1.0.201111011447 (com.ibm.streams.studio.spleditor 2.1.0.201111011447) requires 'bundle org.eclipse.xtext [2.0.0,3.0.0)' but it could not be found
Cannot satisfy dependency:
From: InfoSphere Streams Studio 2.1.0.201111011447 (com.ibm.streams.studio.base.feature.feature.group 2.1.0.201111011447)
To: com.ibm.streams.studio.spleditor http://2.1.0.201111011447

I have tried to install on other eclipse versions such 3.7.1 and 3.8 but I get some other dependency failure messages. Any idea?

-Mahdy
  • kjerick
    kjerick
    227 Posts

    Re: Problem Installing Streams Studio on Eclipse Helios

    ‏2012-04-02T14:41:54Z  
    Hi Mahdy,

    Welcome to the InfoSphere Streams forum. It looks like you have the wrong version of XText plugin installed. You need the version that comes from the Eclipse 3.7 (Indigo) update site even though you are on Eclipse 3.6.2. The installation instructions for Stream Studio explain how to temporarily set up the Eclipse installer to access and install the correct version of XText from the Eclipse 3.7 (Indigo) update site, and then disable that site from being involved in any subsequent updates.

    After having just said this I was looking at the Streams Studio document out on the InfoCenter web site and I see that the instructions out there are not in sync with the instructions for 2.0.0.3. You will need to use the instructions in the Streams Studio document that comes with the Streams installation. Look in your Streams installation directory, and you should find it in doc/streams-studio/IBMInfoSphereStreams-Studio.pdf.

    Follow that procedure in there and then let us know how it goes. I will check with our Information Development folks to see why the InfoCenter document does not seem to be up to date in this section.

    Best regards,
    Kevin
  • kjerick
    kjerick
    227 Posts

    Re: Problem Installing Streams Studio on Eclipse Helios

    ‏2012-04-02T14:55:28Z  
    • kjerick
    • ‏2012-04-02T14:41:54Z
    Hi Mahdy,

    Welcome to the InfoSphere Streams forum. It looks like you have the wrong version of XText plugin installed. You need the version that comes from the Eclipse 3.7 (Indigo) update site even though you are on Eclipse 3.6.2. The installation instructions for Stream Studio explain how to temporarily set up the Eclipse installer to access and install the correct version of XText from the Eclipse 3.7 (Indigo) update site, and then disable that site from being involved in any subsequent updates.

    After having just said this I was looking at the Streams Studio document out on the InfoCenter web site and I see that the instructions out there are not in sync with the instructions for 2.0.0.3. You will need to use the instructions in the Streams Studio document that comes with the Streams installation. Look in your Streams installation directory, and you should find it in doc/streams-studio/IBMInfoSphereStreams-Studio.pdf.

    Follow that procedure in there and then let us know how it goes. I will check with our Information Development folks to see why the InfoCenter document does not seem to be up to date in this section.

    Best regards,
    Kevin
    Hi Mahdy,

    Sort of "nevermind" part of my last post. I just looked again and the instructions in the InfoCenter are actually correct. They were updated with our most recent release of 2.0.0.4, and made easier than the procedure for 2.0.0.3 by having you directly access the XText link instead of having to first access the Eclipse 3.7 (Indigo) update site, obtain XText, and then disable the Eclipse 3.7 (Indigo) update site. So, either of the instructions should work, and the net of it should be that you have the proper version of XText installed.

    Best regards,
    Kevin
  • Mahdy
    Mahdy
    2 Posts

    Re: Problem Installing Streams Studio on Eclipse Helios

    ‏2012-04-02T21:07:48Z  
    • kjerick
    • ‏2012-04-02T14:55:28Z
    Hi Mahdy,

    Sort of "nevermind" part of my last post. I just looked again and the instructions in the InfoCenter are actually correct. They were updated with our most recent release of 2.0.0.4, and made easier than the procedure for 2.0.0.3 by having you directly access the XText link instead of having to first access the Eclipse 3.7 (Indigo) update site, obtain XText, and then disable the Eclipse 3.7 (Indigo) update site. So, either of the instructions should work, and the net of it should be that you have the proper version of XText installed.

    Best regards,
    Kevin
    Thank you.

    My problem solved. I followed the instruction of IBMInfoSphereStreamsStudio version 2.0.0.3 and I successfully installed it on Eclipse.

    -Mahdy
  • Wizgot
    Wizgot
    8 Posts

    Re: Problem Installing Streams Studio on Eclipse Helios

    ‏2012-05-11T03:30:21Z  
    • kjerick
    • ‏2012-04-02T14:55:28Z
    Hi Mahdy,

    Sort of "nevermind" part of my last post. I just looked again and the instructions in the InfoCenter are actually correct. They were updated with our most recent release of 2.0.0.4, and made easier than the procedure for 2.0.0.3 by having you directly access the XText link instead of having to first access the Eclipse 3.7 (Indigo) update site, obtain XText, and then disable the Eclipse 3.7 (Indigo) update site. So, either of the instructions should work, and the net of it should be that you have the proper version of XText installed.

    Best regards,
    Kevin
    Hi Kevin

    I am trying to install streams dev version 2.0.0 on rhel 5.5. While trying to install the studio I got similiar problems. So I saw this site , and tried to install as per the directions in Infosphere Studio 2.0.0.4 by downloading the patch first, then installed the xtext version 2.0.1 and then streams.
    However I am still getting the same error. Is it because the XTEXT version is wrong? I am trying on eclipse indigo 3.7.2.

    Thanks
    Dias
  • Wizgot
    Wizgot
    8 Posts

    Re: Problem Installing Streams Studio on Eclipse Helios

    ‏2012-05-11T06:04:30Z  
    • Wizgot
    • ‏2012-05-11T03:30:21Z
    Hi Kevin

    I am trying to install streams dev version 2.0.0 on rhel 5.5. While trying to install the studio I got similiar problems. So I saw this site , and tried to install as per the directions in Infosphere Studio 2.0.0.4 by downloading the patch first, then installed the xtext version 2.0.1 and then streams.
    However I am still getting the same error. Is it because the XTEXT version is wrong? I am trying on eclipse indigo 3.7.2.

    Thanks
    Dias
    I downloaded Helios and tried following the instructions : I am however still getting the error :
    Cannot complete the install because one or more required items could not be found.
    Software currently installed: InfoSphere Streams Studio Graph 2.0.0.201103311259 (com.ibm.streams.studio.streamsight.feature.feature.group 2.0.0.201103311259)
    Missing requirement: com.ibm.streams.studio.spleditor 2.0.0.201103311259 (com.ibm.streams.studio.spleditor 2.0.0.201103311259) requires 'bundle org.eclipse.xtext [1.0.1,2.0.0)' but it could not be found
    Cannot satisfy dependency:
    From: InfoSphere Streams Studio Graph 2.0.0.201103311259 (com.ibm.streams.studio.graph 2.0.0.201103311259)
    To: bundle com.ibm.streams.studio.spleditor.ui [2.0.0,3.0.0)
    Cannot satisfy dependency:
    From: SPL Editor UI 2.0.0.201103311259 (com.ibm.streams.studio.spleditor.ui 2.0.0.201103311259)
    To: bundle com.ibm.streams.studio.spleditor [2.0.0,3.0.0)
    Cannot satisfy dependency:
    From: InfoSphere Streams Studio Graph 2.0.0.201103311259 (com.ibm.streams.studio.streamsight.feature.featu.

    Thanks
    Dias
  • BruceGlassford
    BruceGlassford
    71 Posts

    Re: Problem Installing Streams Studio on Eclipse Helios

    ‏2012-05-12T14:15:33Z  
    • Wizgot
    • ‏2012-05-11T06:04:30Z
    I downloaded Helios and tried following the instructions : I am however still getting the error :
    Cannot complete the install because one or more required items could not be found.
    Software currently installed: InfoSphere Streams Studio Graph 2.0.0.201103311259 (com.ibm.streams.studio.streamsight.feature.feature.group 2.0.0.201103311259)
    Missing requirement: com.ibm.streams.studio.spleditor 2.0.0.201103311259 (com.ibm.streams.studio.spleditor 2.0.0.201103311259) requires 'bundle org.eclipse.xtext [1.0.1,2.0.0)' but it could not be found
    Cannot satisfy dependency:
    From: InfoSphere Streams Studio Graph 2.0.0.201103311259 (com.ibm.streams.studio.graph 2.0.0.201103311259)
    To: bundle com.ibm.streams.studio.spleditor.ui [2.0.0,3.0.0)
    Cannot satisfy dependency:
    From: SPL Editor UI 2.0.0.201103311259 (com.ibm.streams.studio.spleditor.ui 2.0.0.201103311259)
    To: bundle com.ibm.streams.studio.spleditor [2.0.0,3.0.0)
    Cannot satisfy dependency:
    From: InfoSphere Streams Studio Graph 2.0.0.201103311259 (com.ibm.streams.studio.streamsight.feature.featu.

    Thanks
    Dias
    Try going here: http://www.eclipse.org/modeling/tmf/downloads/

    Download the 2.0.0 All in one update site (nothing newer!!)

    Install that into Eclipse first. You may have to uninstall any newer version of XText.

    Hope this helps!

    .... Bruce
  • Wizgot
    Wizgot
    8 Posts

    Re: Problem Installing Streams Studio on Eclipse Helios

    ‏2012-05-13T03:12:21Z  
    Try going here: http://www.eclipse.org/modeling/tmf/downloads/

    Download the 2.0.0 All in one update site (nothing newer!!)

    Install that into Eclipse first. You may have to uninstall any newer version of XText.

    Hope this helps!

    .... Bruce
    Thanks Bruce.

    I tried this, (uninstalled older versions) the error now is slightly different :

    Cannot complete the install because one or more required items could not be found.
    Software currently installed: InfoSphere Streams Studio 2.0.0.201103311259 (com.ibm.streams.studio.base.feature.feature.group 2.0.0.201103311259)
    Missing requirement: com.ibm.streams.studio.spleditor 2.0.0.201103311259 (com.ibm.streams.studio.spleditor 2.0.0.201103311259) requires 'bundle org.eclipse.xtext [1.0.1,2.0.0)' but it could not be found
    Cannot satisfy dependency:
    From: InfoSphere Streams Studio 2.0.0.201103311259 (com.ibm.streams.studio.base.feature.feature.group 2.0.0.201103311259)
    To: com.ibm.streams.studio.spleditor http://2.0.0.201103311259

    I tried on the trial version and there were no problems. However on the developer version I get this error.

    Thanks
    Dias
  • Wizgot
    Wizgot
    8 Posts

    Re: Problem Installing Streams Studio on Eclipse Helios

    ‏2012-05-13T04:25:37Z  
    • Wizgot
    • ‏2012-05-13T03:12:21Z
    Thanks Bruce.

    I tried this, (uninstalled older versions) the error now is slightly different :

    Cannot complete the install because one or more required items could not be found.
    Software currently installed: InfoSphere Streams Studio 2.0.0.201103311259 (com.ibm.streams.studio.base.feature.feature.group 2.0.0.201103311259)
    Missing requirement: com.ibm.streams.studio.spleditor 2.0.0.201103311259 (com.ibm.streams.studio.spleditor 2.0.0.201103311259) requires 'bundle org.eclipse.xtext [1.0.1,2.0.0)' but it could not be found
    Cannot satisfy dependency:
    From: InfoSphere Streams Studio 2.0.0.201103311259 (com.ibm.streams.studio.base.feature.feature.group 2.0.0.201103311259)
    To: com.ibm.streams.studio.spleditor http://2.0.0.201103311259

    I tried on the trial version and there were no problems. However on the developer version I get this error.

    Thanks
    Dias
    If anyone is having similiar trouble please upgrade to version 2.0.0.4 and then follow the documentation. Also please look at :https://www.ibm.com/developerworks/forums/thread.jspa?messageID=14823306& .

    Thanks Bruce!

    Regards
    Dias